; ############  DIRECTOR AND EVENT CHANGES  ###########
; =====================================================
; ==          DIRECTOR & EVENT MODIFICATION          ==
; ==       Modify director behaviour and events      ==
; =====================================================
; --- Load a modified version of the event script
modify:
{
	match:
	{
		"targetname" "relay_minifinale"
	}
	delete:
	{
		"OnTrigger" "directorBeginScriptc6m2_minifinale0-1"
	}
	insert:
	{
		"OnTrigger" "directorBeginScriptc6m2_minifinale_rework0-1"
	}
}
; --- Allow Midnight Riders bus event to happen in versus
;modify:
;{
;	match:
;	{
;		"hammerid" "556544"
;	}
;	insert:
;	{
;		"OnVersusPostIO" "trigger_busEnable0-1"
;	}
;}
; --- Add obscured (blue) nav area around the edge of the room where survivors drop into the sewer, so SI and horde can spawn
add:
{
	"classname" "logic_auto"
	"OnMapSpawn" "nav_sewer_drop_obscured,ApplyNavAttributes,,10,-1"
}
{
	"classname" "point_nav_attribute_region"
	"origin" "752 5862 -1184"
	"mins" "-32 -32 -32"
	"maxs" "32 32 32"
	"spawnflags" "4096"
	"targetname" "nav_sewer_drop_obscured"
}
{
	"classname" "point_nav_attribute_region"
	"origin" "752 5734 -1184"
	"mins" "-32 -32 -32"
	"maxs" "32 32 32"
	"spawnflags" "4096"
	"targetname" "nav_sewer_drop_obscured"
}
{
	"classname" "point_nav_attribute_region"
	"origin" "686 5624 -1184"
	"mins" "-32 -32 -32"
	"maxs" "32 32 32"
	"spawnflags" "4096"
	"targetname" "nav_sewer_drop_obscured"
}
{
	"classname" "point_nav_attribute_region"
	"origin" "512 5766 -1184"
	"mins" "-32 -32 -32"
	"maxs" "32 32 32"
	"spawnflags" "4096"
	"targetname" "nav_sewer_drop_obscured"
}
{
	"classname" "point_nav_attribute_region"
	"origin" "300 5674 -1184"
	"mins" "-32 -32 -32"
	"maxs" "32 32 32"
	"spawnflags" "4096"
	"targetname" "nav_sewer_drop_obscured"
}
{
	"classname" "point_nav_attribute_region"
	"origin" "230 5824 -1184"
	"mins" "-32 -32 -32"
	"maxs" "32 32 32"
	"spawnflags" "4096"
	"targetname" "nav_sewer_drop_obscured"
}
{
	"classname" "point_nav_attribute_region"
	"origin" "0 5820 -1184"
	"mins" "-32 -32 -32"
	"maxs" "32 32 32"
	"spawnflags" "4096"
	"targetname" "nav_sewer_drop_obscured"
}
{
	"classname" "point_nav_attribute_region"
	"origin" "66 5624 -1184"
	"mins" "-32 -32 -32"
	"maxs" "32 32 32"
	"spawnflags" "4096"
	"targetname" "nav_sewer_drop_obscured"
}
{
	"classname" "point_nav_attribute_region"
	"origin" "50 5400 -1184"
	"mins" "-32 -32 -32"
	"maxs" "32 32 32"
	"spawnflags" "4096"
	"targetname" "nav_sewer_drop_obscured"
}
{
	"classname" "point_nav_attribute_region"
	"origin" "0 4966 -1184"
	"mins" "-32 -32 -32"
	"maxs" "32 32 32"
	"spawnflags" "4096"
	"targetname" "nav_sewer_drop_obscured"
}
{
	"classname" "point_nav_attribute_region"
	"origin" "0 4548 -1184"
	"mins" "-32 -32 -32"
	"maxs" "32 32 32"
	"spawnflags" "4096"
	"targetname" "nav_sewer_drop_obscured"
}
{
	"classname" "point_nav_attribute_region"
	"origin" "24 4360 -1184"
	"mins" "-32 -32 -32"
	"maxs" "32 32 32"
	"spawnflags" "4096"
	"targetname" "nav_sewer_drop_obscured"
}
{
	"classname" "point_nav_attribute_region"
	"origin" "188 4480 -1184"
	"mins" "-32 -32 -32"
	"maxs" "32 32 32"
	"spawnflags" "4096"
	"targetname" "nav_sewer_drop_obscured"
}
{
	"classname" "point_nav_attribute_region"
	"origin" "218 4364 -1184"
	"mins" "-32 -32 -32"
	"maxs" "32 32 32"
	"spawnflags" "4096"
	"targetname" "nav_sewer_drop_obscured"
}
{
	"classname" "point_nav_attribute_region"
	"origin" "372 4452 -1184"
	"mins" "-32 -32 -32"
	"maxs" "32 32 32"
	"spawnflags" "4096"
	"targetname" "nav_sewer_drop_obscured"
}
{
	"classname" "point_nav_attribute_region"
	"origin" "372 4638 -1184"
	"mins" "-32 -32 -32"
	"maxs" "32 32 32"
	"spawnflags" "4096"
	"targetname" "nav_sewer_drop_obscured"
}
{
	"classname" "point_nav_attribute_region"
	"origin" "560 4522 -1184"
	"mins" "-32 -32 -32"
	"maxs" "32 32 32"
	"spawnflags" "4096"
	"targetname" "nav_sewer_drop_obscured"
}
{
	"classname" "point_nav_attribute_region"
	"origin" "672 4624 -1184"
	"mins" "-32 -32 -32"
	"maxs" "32 32 32"
	"spawnflags" "4096"
	"targetname" "nav_sewer_drop_obscured"
}
{
	"classname" "point_nav_attribute_region"
	"origin" "762 4440 -1184"
	"mins" "-32 -32 -32"
	"maxs" "32 32 32"
	"spawnflags" "4096"
	"targetname" "nav_sewer_drop_obscured"
}
{
	"classname" "point_nav_attribute_region"
	"origin" "180 5200 -1184"
	"mins" "-32 -32 -32"
	"maxs" "32 32 32"
	"spawnflags" "4096"
	"targetname" "nav_sewer_drop_obscured"
}
; --- Stop the event once survivors reach the stairs by the saferoom
add:
{
	"classname" "logic_auto"
	"OnMapSpawn" "event_stop_trigger,AddOutput,mins -64 -32 -104,0,-1"
	"OnMapSpawn" "event_stop_trigger,AddOutput,maxs 64 32 104,0,-1"
	"OnMapSpawn" "event_stop_trigger,AddOutput,boxmins -64 -32 -104,0,-1"
	"OnMapSpawn" "event_stop_trigger,AddOutput,boxmaxs 64 32 104,0,-1"
	"OnMapSpawn" "event_stop_trigger,AddOutput,solid 2,0,-1"
}
{
	"classname" "trigger_once"
	"origin" "9904 5425 -936"
	"targetname" "event_stop_trigger"
	"filtername" "filter_survivor"
	"spawnflags" "1"
	"OnTrigger" "director,EndScript,,0,-1"
	"OnTrigger" "event_stop_trigger,Kill,,1,-1"
}


; ################  ITEM SPAWN CHANGES  ###############
; =====================================================
; ==           PILL / ITEM / WEAPON SPAWNS           ==
; ==   Remove or change pill, item & weapon spawns   ==
; =====================================================
; --- Remove useless pill spawns to help with pill distribution
filter:
; --- Pills near the start
{
	"hammerid" "308139"
}
{
	"hammerid" "308141"
}
{
	"hammerid" "308143"
}
{
	"hammerid" "308145"
}
{
	"hammerid" "308151"
}
{
	"hammerid" "308153"
}
; --- Pills near the end
{
	"hammerid" "569505"
}
{
	"hammerid" "569507"
}
{
	"hammerid" "571490"
}
{
	"hammerid" "571492"
}
; --- Pill cabinet in the jazz club
add:
{
	"classname" "prop_health_cabinet"
	"origin" "1945 5624 -160"
	"angles" "0 270 0"
	"model" "models/props_interiors/medicalcabinet02.mdl"
	"solid" "0"
	"disableshadows" "1"
	"HealthCount" "2"
}
; --- Single pickup magnum at the start of the event
{
	"classname" "weapon_pistol_magnum"
	"origin" "2362 5822 -1063"
	"angles" "0 30 -90"
}
; --- Guaranteed fireaxe at the start of the event
{
	"classname" "weapon_melee_spawn"
	"origin" "2402 5820.75 -1062.73"
	"angles" "0 300 -90"
	"melee_weapon" "fireaxe"
	"spawn_without_director" "1"
	"solid" "0"
	"disableshadows" "1"
	"spawnflags" "2"
	"count" "1"
}
; --- Remove original melee spawn
filter:
{
	"hammerid" "477541"
}

; =====================================================
; ==                STATIC AMMO PILES                ==
; ==          Add or modify ammo pile spawns         ==
; =====================================================
add:
; --- Ammo pile in the pool room
{
	"classname" "weapon_ammo_spawn"
	"origin" "1183 568 18"
	"angles" "0 90 0"
	"model" "models/props/terror/ammo_stack.mdl"
	"solid" "6"
	"disableshadows" "1"
	"spawnflags" "2"
}
; --- Ammo pile by the cement truck
{
	"classname" "weapon_ammo_spawn"
	"origin" "142 1329 -64"
	"angles" "0 90 0"
	"model" "models/props/terror/ammo_stack.mdl"
	"solid" "6"
	"disableshadows" "1"
	"spawnflags" "2"
}
; --- Ammo pile in the jazz club
{
	"classname" "weapon_ammo_spawn"
	"origin" "1634 5004 -119.5"
	"angles" "0 0 0"
	"model" "models/props/terror/ammo_stack.mdl"
	"solid" "6"
	"disableshadows" "1"
	"spawnflags" "2"
}
; --- Ammo pile before the one way drop
{
	"classname" "weapon_ammo_spawn"
	"origin" "789 4947 -344"
	"angles" "0 0 0"
	"model" "models/props/terror/ammo_stack.mdl"
	"solid" "6"
	"disableshadows" "1"
	"spawnflags" "2"
}
; --- Adjusted position of floating ammo pile by the event
modify:
{
	match:
	{
		"hammerid" "571406"
	}
	replace:
	{
		"origin" "2464.77 5820.7 -1061"
	}
}

; =====================================================
; ==                 HITTABLE CHANGES                ==
; ==           Add/remove/modify hittables           ==
; =====================================================


; #############  MAP CLIPPING AND ISSUES  #############
; =====================================================
; ==                 EXPLOITS BLOCKED                ==
; ==      Block intentionally performed exploits     ==
; =====================================================
add:
; --- Block survivors from standing on signs in the pool room
{
	"classname" "env_physics_blocker"
	"origin" "976 576 160"
	"mins" "-20 -1 -32"
	"maxs" "20 1 32"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "894 579 168"
	"mins" "-47 -3 -24"
	"maxs" "47 3 24"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block survivors from standing on the AC units by the Jones & Sons building exit
{
	"classname" "env_physics_blocker"
	"origin" "-50 3709 268"
	"mins" "-60.5 -32 -158"
	"maxs" "60.5 32 158"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-172 3695 392"
	"mins" "-48 -23 -376"
	"maxs" "48 23 376"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block survivors from standing on the red awning at the Jones & Sons building exit
{
	"classname" "env_physics_blocker"
	"origin" "984 3684 215"
	"mins" "-48 -19.5 -221.5"
	"maxs" "48 19.5 221.5"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block survivors from climbing on the props by the bus stop outside the jazz club
{
	"classname" "env_physics_blocker"
	"origin" "86 4595 287"
	"mins" "-64 -11 -319.5"
	"maxs" "64 11 319.5"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "217 4590 223"
	"mins" "-24 -8 -385.1"
	"maxs" "24 8 385.1"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block survivors from standing on the food cart outside the jazz club
{
	"classname" "env_physics_blocker"
	"origin" "936 4523 184"
	"mins" "-106 -54.5 -226"
	"maxs" "106 54.5 226"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block survivors from standing on the electrical box outside the jazz club
{
	"classname" "env_physics_blocker"
	"origin" "1077 4618 262"
	"mins" "-4 -29.5 -319.5"
	"maxs" "4 29.5 319.5"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block players from getting behind the pipes at the start of the jazz club underground
{
	"classname" "env_physics_blocker"
	"origin" "3011 4862 -279"
	"mins" "-71.5 -319 -94"
	"maxs" "71.5 319 94"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Prevent players from blocking the gates in the sewers
{
	"classname" "env_physics_blocker"
	"origin" "2545 5702 -992"
	"angles" "0 1 0"
	"mins" "-4 -44 -72"
	"maxs" "4 44 72"
	"boxmins" "-4 -44 -72"
	"boxmaxs" "4 44 72"
	"initialstate" "1"
	"BlockType" "0"
	"targetname" "player_gate_blocker1"
	"parentname" "minifinale_gate1"
}
{
	"classname" "env_physics_blocker"
	"origin" "5186 5445 -992"
	"angles" "0 1 0"
	"mins" "-4 -44 -72"
	"maxs" "4 44 72"
	"boxmins" "-4 -44 -72"
	"boxmaxs" "4 44 72"
	"initialstate" "1"
	"BlockType" "0"
	"targetname" "player_gate_blocker2"
	"parentname" "minifinale_gate2"
}
modify:
{
	match:
	{
		"targetname" "minifinale_gate1"
	}
	insert:
	{
		"OnFullyOpen" "player_gate_blocker1,Kill,,0,-1"
	}
	replace:
	{
		"spawnflags" "6"
	}
}
{
	match:
	{
		"targetname" "minifinale_gate2"
	}
	insert:
	{
		"OnFullyOpen" "player_gate_blocker2,Kill,,0,-1"
	}
	replace:
	{
		"spawnflags" "6"
	}
}

; =====================================================
; ==                  OUT OF BOUNDS                  ==
; ==  Block players getting outside / under the map  ==
; =====================================================
add:
; --- Block survivors from going out of bounds behind an alley near the saferoom
{
	"classname" "env_physics_blocker"
	"origin" "2232 -1344 382"
	"mins" "-232 -64 -370"
	"maxs" "232 64 370"
	"initialstate" "1"
	"BlockType" "1"
}

; =====================================================
; ==                   STUCK SPOTS                   ==
; ==  Prevent players from getting stuck in the map  ==
; =====================================================
; --- Remove some barrels that cause a perma-stuck spot in the jazz club underground
filter:
{
	"hammerid" "566242"
}
{
	"hammerid" "566238"
}

; =====================================================
; ==                 NUISANCE CHANGES                ==
; ==      Clipping improvements, QOL map changes     ==
; =====================================================
; --- Disable jukebox to prevent trolling
modify:
{
	match:
	{
		"targetname" "jukebox_button"
	}
	replace:
	{
		"spawnflags" "33"
	}
}
add:
; --- Fix LOS on jukebox in pool room
{
	"classname" "logic_auto"
	"OnMapSpawn" "losfix_jukebox_pool,AddOutput,mins -11 -18 -32,0,-1"
	"OnMapSpawn" "losfix_jukebox_pool,AddOutput,maxs 11 18 32,0,-1"
	"OnMapSpawn" "losfix_jukebox_pool,AddOutput,solid 2,0,-1"
}
{
	"classname" "func_brush"
	"origin" "1457 1200 16"
	"targetname" "losfix_jukebox_pool"
}
{
	"classname" "env_physics_blocker"
	"origin" "1457 1200 16"
	"mins" "-11.1 -18.1 -32.1"
	"maxs" "11.1 18.1 32.1"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Fix right end of jazz club awning having no collision
{
	"classname" "prop_dynamic"
	"origin" "1793 4680 192"
	"angles" "0 180 0"
	"model" "models/props_waterfront/awning_system_64.mdl"
	"solid" "6"
	"disableshadows" "1"
	"rendermode" "10"
}
filter:
; --- Remove a set of elevator doors after the jazz club to open up a room for spawns
{
	"hammerid" "566623"
}
; --- Remove some of the breakable walls in the room on the left under the jazz club
{
	"hammerid" "565850"
}
{
	"hammerid" "565846"
}
; --- Clipping on debris piles at the drop into the sewer
add:
{
	"classname" "env_physics_blocker"
	"origin" "675 4866 -1184"
	"mins" "-78 -46.5 -8"
	"maxs" "78 46.5 8"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "675 4866 -1168"
	"mins" "-72 -40.5 -8"
	"maxs" "72 40.5 8"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "634 4867 -1156"
	"mins" "-17.5 -28.5 -4"
	"maxs" "17.5 28.5 4"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Clipping on non-solid debris pile for consistency
{
	"classname" "env_physics_blocker"
	"origin" "678 5316 -1185"
	"mins" "-118 -120 -7"
	"maxs" "118 120 7"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Add collision to non-solid section of pipe in the sewer
{
	"classname" "env_physics_blocker"
	"origin" "4768 4748 -1076"
	"mins" "-27 -436.5 -6"
	"maxs" "27 436.5 6"
	"initialstate" "1"
	"BlockType" "0"
}


; ###########  ADDITIONAL PROPS AND SPAWNS  ###########
; =====================================================
; ==                      PROPS                      ==
; ==       New props for balance and SI spawns       ==
; =====================================================
add:
; --- Extra upturned pool tables in the pool room
{
	"classname" "prop_dynamic"
	"origin" "1345 723 8"
	"angles" "75 155 0"
	"model" "models/props_downtown/pooltable.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "847 1084 8"
	"angles" "75 335.5 0"
	"model" "models/props_downtown/pooltable.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Traffic barrel to allow players to jump over the fence in the back corner of the construction site
{
	"classname" "prop_dynamic"
	"origin" "2102 1794 -64"
	"angles" "0 330 0"
	"model" "models/props_fairgrounds/traffic_barrel.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Bricks to climb into the pool room from the construction site
{
	"classname" "prop_dynamic"
	"origin" "1265 1356 -77"
	"angles" "4.24909 94.4899 0.00738525"
	"model" "models/props_highway/plywood_01.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "1242 1301 -72"
	"angles" "-0.370436 359.396 -4.23301"
	"model" "models/props/de_nuke/cinderblock_stack.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Fence on the bar roof
{
	"classname" "prop_dynamic"
	"origin" "110 1944 336"
	"angles" "0 90 0"
	"model" "models/props_urban/fence001_256.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Prop to spawn behind on unused fire escape
{
	"classname" "prop_dynamic"
	"origin" "950 2768 263"
	"angles" "0 0 0"
	"model" "models/props_junk/trashcluster01b_corner.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Van on the street outside the jazz club
{
	"classname" "prop_dynamic"
	"origin" "-6 3910 -162"
	"angles" "0 260 0"
	"model" "models/props_vehicles/van.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-6 3910 -162"
	"angles" "0 260 0"
	"model" "models/props_vehicles/van_glass.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "logic_auto"
	"OnMapSpawn" "losfix_jazzvan1,AddOutput,mins -108 -2 -13,0,-1"
	"OnMapSpawn" "losfix_jazzvan1,AddOutput,maxs 108 2 13,0,-1"
	"OnMapSpawn" "losfix_jazzvan1,AddOutput,solid 2,0,-1"
}
{
	"classname" "func_brush"
	"origin" "-8 3901 -155"
	"targetname" "losfix_jazzvan1"
}
; --- Sign on jazz club awning
{
	"classname" "prop_dynamic"
	"origin" "1564 4500 221"
	"angles" "0 270 0"
	"model" "models/props_waterfront/historic_tour_sign.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "1564 4499 221"
	"angles" "0 90 0"
	"model" "models/props_waterfront/historic_tour_sign.mdl"
	"solid" "0"
	"disableshadows" "1"
}
; --- Fix LOS on sign
{
	"classname" "logic_auto"
	"OnMapSpawn" "losfix_jazz_sign,AddOutput,mins -95 -2 -45,0,-1"
	"OnMapSpawn" "losfix_jazz_sign,AddOutput,maxs 95 2 45,0,-1"
	"OnMapSpawn" "losfix_jazz_sign,AddOutput,solid 2,0,-1"
}
{
	"classname" "func_brush"
	"origin" "1564 4498 206"
	"targetname" "losfix_jazz_sign"
}
{
	"classname" "env_physics_blocker"
	"origin" "1564 4498 206"
	"mins" "-95.1 -2.1 -45.1"
	"maxs" "95.1 2.1 45.1"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Planks in the room where survivors drop into the sewer
{
	"classname" "prop_dynamic"
	"origin" "1006 5002 -1184"
	"angles" "0 60 0"
	"model" "models/props_swamp/plank001a_192.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "1215 4909 -1184"
	"angles" "0 65 0"
	"model" "models/props_swamp/plank001a_192.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "1409 4778 -1184"
	"angles" "0 45 0"
	"model" "models/props_swamp/plank001a_192.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Props in the first sewer room, where survivors drop
{
	"classname" "prop_dynamic"
	"origin" "1568 5344 -1136"
	"angles" "90 180 0"
	"model" "models/props_pipes/pipeset32d_corner128d_001a.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "192 5080 -1072"
	"angles" "90 90 0"
	"model" "models/props_pipes/pipeset32d_256_001a.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "192 5080 -880"
	"angles" "90 90 0"
	"model" "models/props_pipes/pipeset32d_128_001a.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "192 5128 -1072"
	"angles" "90 90 0"
	"model" "models/props_pipes/pipeset32d_256_001a.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "192 5128 -880"
	"angles" "90 90 0"
	"model" "models/props_pipes/pipeset32d_128_001a.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Pipe groups with ladders in the room where survivors drop into the sewers
{
	"classname" "prop_dynamic"
	"origin" "486 4497 -1136"
	"angles" "0 270 0"
	"model" "models/props_pipes/pipeset32d_corner128d_001a.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "486 4369 -1096"
	"angles" "0 270 0"
	"model" "models/props_pipes/pipeset32d_128_001a.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "446 4497 -1136"
	"angles" "0 270 0"
	"model" "models/props_pipes/pipeset32d_corner128d_001a.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "446 4369 -1096"
	"angles" "0 270 0"
	"model" "models/props_pipes/pipeset32d_128_001a.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "func_simpleladder"
	"origin" "-341 -487 -186"
	"angles" "0 0 0"
	"model" "*80"
	"normal.x" "0.00"
	"normal.y" "1.00"
	"normal.z" "0.00"
	"team" "2"
}
{
	"classname" "prop_dynamic"
	"origin" "1022 5776 -1136"
	"angles" "0 90 0"
	"model" "models/props_pipes/pipeset32d_corner128d_001a.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "1022 5904 -1096"
	"angles" "0 90 0"
	"model" "models/props_pipes/pipeset32d_128_001a.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "1062 5776 -1136"
	"angles" "0 90 0"
	"model" "models/props_pipes/pipeset32d_corner128d_001a.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "1062 5904 -1096"
	"angles" "0 90 0"
	"model" "models/props_pipes/pipeset32d_128_001a.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "func_simpleladder"
	"origin" "1848 10760 -186"
	"angles" "0 180 0"
	"model" "*80"
	"normal.x" "0.00"
	"normal.y" "-1.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Props in the second sewer room, after the first gate
{
	"classname" "prop_dynamic"
	"origin" "2352 5344 -1136"
	"angles" "90 0 0"
	"model" "models/props_pipes/pipeset32d_corner128d_001a.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Ramp before the ladder after the tunnel
{
	"classname" "prop_dynamic"
	"origin" "9565 5498 -1197"
	"angles" "-30 0 0"
	"model" "models/props_urban/metal_plate001.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "9623 5498 -1166"
	"mins" "-1 -36 -2"
	"maxs" "1 36 2"
	"initialstate" "1"
	"BlockType" "0"
}

; =====================================================
; ==             LADDER / ELEVATOR NERF              ==
; ==   Nerf ladder & elevator attacks for infected   ==
; =====================================================


; ############  MAP SOUND AND GFX CHANGES  ############
; =====================================================
; ==                  SOUND REMOVAL                  ==
; ==    Remove or adjust sounds played by the map    ==
; =====================================================
; --- Fade out both event alarm sounds after a few seconds
modify:
{
	match:
	{
		"targetname" "relay_minifinale"
	}
	insert:
	{
		"OnTrigger" "gate_1_alarm,FadeOut,5,3,-1"
		"OnTrigger" "gate_1_alarm,Volume,5,3,-1"
		"OnTrigger" "gate_1_alarm,Kill,,10,-1"
	}
}
modify:
{
	match:
	{
		"targetname" "relay_second_gate"
	}
	insert:
	{
		"OnTrigger" "gate_2_alarm,FadeOut,5,3,-1"
		"OnTrigger" "gate_2_alarm,Volume,5,3,-1"
		"OnTrigger" "gate_2_alarm,Kill,,10,-1"
	}
}

; =====================================================
; ==             GFX / PARTICLES REMOVAL             ==
; ==        Remove visual effects from the map       ==
; =====================================================


; ###############  TRIGGERS AND BRUSHES  ##############
; =====================================================
; ==                   CLIP REMOVAL                  ==
; ==      Remove miscellaneous clips and brushes     ==
; =====================================================

; =====================================================
; ==              TRIGGER REMOVAL / FIX              ==
; ==    Fix triggers that interfere with gameplay    ==
; =====================================================


; #############  LADDER CHANGES AND FIXES  ############
; =====================================================
; ==             LADDER ADDITIONS / FIXES            ==
; ==              Add or change ladders              ==
; =====================================================
add:
; --- Ladders to climb up the middle section diving the construction area
{
	"classname" "func_simpleladder"
	"origin" "5706 135 1000"
	"angles" "0 90 0"
	"model" "*79"
	"normal.x" "0.00"
	"normal.y" "-1.00"
	"normal.z" "0.00"
	"team" "0"
}
{
	"classname" "prop_dynamic"
	"origin" "1130 1760 -193"
	"angles" "0 0 0"
	"model" "models/props_vehicles/train_ladder.mdl"
	"solid" "0"
	"disableshadows" "1"
}
modify:
{
	match:
	{
		"hammerid" "774348"
	}
	replace:
	{
		"team" "0"
	}
}
add:
{
	"classname" "prop_dynamic"
	"origin" "1288 1406 -207"
	"angles" "0 90 0"
	"model" "models/props_vehicles/train_ladder.mdl"
	"solid" "0"
	"disableshadows" "1"
}
; --- Ladder to climb up at the back of the construction site (repurposed scavenge/survival ladder)
modify:
{
	match:
	{
		"hammerid" "480552"
	}
	replace:
	{
		"team" "0"
	}
}
{
	match:
	{
		"hammerid" "406478"
	}
	delete:
	{
		"targetname" "scavenge_ladder_model"
	}
	replace:
	{
		"StartDisabled" "0"
	}
}
add:
; --- Ladder to climb on the green dumpster by the cement mixer
{
	"classname" "func_simpleladder"
	"origin" "-4950 3049 1086"
	"angles" "0 270 0"
	"model" "*79"
	"normal.x" "0.00"
	"normal.y" "1.00"
	"normal.z" "0.00"
	"team" "0"
}
{
	"classname" "prop_dynamic"
	"origin" "-374 1422 -107"
	"angles" "0 180 0"
	"model" "models/props_vehicles/train_ladder.mdl"
	"solid" "0"
	"disableshadows" "1"
}
; --- Ladder to climb on the food cart by the cement mixer
{
	"classname" "func_simpleladder"
	"origin" "286 5466 -280"
	"angles" "0 180 5"
	"model" "*92"
	"normal.x" "0.00"
	"normal.y" "-0.996194"
	"normal.z" "0.087155"
	"team" "0"
}
{
	"classname" "prop_dynamic"
	"origin" "-384 1807 -1"
	"angles" "5 90 0"
	"model" "models/props/cs_assault/ladderaluminium128.mdl"
	"solid" "0"
	"disableshadows" "1"
}
; --- Infected ladder to get to the unused fire escape next to plank crossing
{
	"classname" "func_simpleladder"
	"origin" "2647 2232 72"
	"angles" "0 90 0"
	"model" "*36"
	"normal.x" "0.00"
	"normal.y" "1.00"
	"normal.z" "0.00"
	"team" "2"
}
{
	"classname" "func_simpleladder"
	"origin" "2647 2232 -328"
	"angles" "0 90 0"
	"model" "*36"
	"normal.x" "0.00"
	"normal.y" "1.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Infected ladder to get to the top floor of the Jones & Sons building exit
{
	"classname" "func_simpleladder"
	"origin" "2076 3246 -65"
	"angles" "0 90 0"
	"model" "*36"
	"normal.x" "0.00"
	"normal.y" "1.00"
	"normal.z" "0.00"
	"team" "2"
}
{
	"classname" "prop_dynamic"
	"origin" "82 3664 368"
	"angles" "0 180 0"
	"model" "models/props_rooftop/gutter_pipe_256.mdl"
	"solid" "0"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "82 3664 112"
	"angles" "0 180 0"
	"model" "models/props_rooftop/gutter_pipe_256.mdl"
	"solid" "0"
	"disableshadows" "1"
}
; --- Clipping to help infected get into the windows
{
	"classname" "env_physics_blocker"
	"origin" "157 3669 15"
	"mins" "-45 -5 -1"
	"maxs" "45 5 1"
	"initialstate" "1"
	"BlockType" "2"
}
{
	"classname" "env_physics_blocker"
	"origin" "157 3669 175"
	"mins" "-45 -5 -1"
	"maxs" "45 5 1"
	"initialstate" "1"
	"BlockType" "2"
}
; --- Infected ladder to get on top of the jazz club awning
{
	"classname" "func_simpleladder"
	"origin" "2494 8345 236"
	"angles" "0 180 0"
	"model" "*92"
	"normal.x" "0.00"
	"normal.y" "-1.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Infected ladder to climb on food cart outside the jazz club
{
	"classname" "func_simpleladder"
	"origin" "-281 1656 3"
	"angles" "0 0 0"
	"model" "*37"
	"normal.x" "1.00"
	"normal.y" "0.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Infected ladders to climb on AC units outside the jazz club
{
	"classname" "func_simpleladder"
	"origin" "4297 4587 155.83"
	"angles" "0 90 0"
	"model" "*85"
	"normal.x" "1.00"
	"normal.y" "0.00"
	"normal.z" "0.00"
	"team" "2"
}
{
	"classname" "func_simpleladder"
	"origin" "-1946 5215.31 281.83"
	"angles" "0 270 0"
	"model" "*85"
	"normal.x" "-1.00"
	"normal.y" "0.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Infected ladders on the walkways where survivors drop into the sewer
{
	"classname" "func_simpleladder"
	"origin" "586.00 4562.00 -1128.5"
	"angles" "0 0 0"
	"model" "*76"
	"normal.x" "0.00"
	"normal.y" "-1.00"
	"normal.z" "0.00"
	"team" "2"
}
{
	"classname" "prop_dynamic"
	"origin" "1200 5039 -1128"
	"angles" "0 270 90"
	"model" "models/props_waterfront/railing01_128.mdl"
	"solid" "0"
	"disableshadows" "1"
}
{
	"classname" "func_simpleladder"
	"origin" "1959 5598 -1128.5"
	"angles" "0 180 0"
	"model" "*76"
	"normal.x" "0.00"
	"normal.y" "1.00"
	"normal.z" "0.00"
	"team" "2"
}
{
	"classname" "prop_dynamic"
	"origin" "1346 5121 -1128"
	"angles" "0 90 90"
	"model" "models/props_waterfront/railing01_128.mdl"
	"solid" "0"
	"disableshadows" "1"
}
; --- Infected ladders on the walkways after the first gate in the sewer
{
	"classname" "func_simpleladder"
	"origin" "3133 5189 -1174"
	"angles" "0 0 0"
	"model" "*76"
	"normal.x" "0.00"
	"normal.y" "-1.00"
	"normal.z" "0.00"
	"team" "2"
}
{
	"classname" "prop_dynamic"
	"origin" "3747 5663 -1128"
	"angles" "0 270 90"
	"model" "models/props_waterfront/railing01_128.mdl"
	"solid" "0"
	"disableshadows" "1"
}
{
	"classname" "func_simpleladder"
	"origin" "4629 6144 -1174"
	"angles" "0 270 0"
	"model" "*76"
	"normal.x" "-1.00"
	"normal.y" "0.00"
	"normal.z" "0.00"
	"team" "2"
}
{
	"classname" "prop_dynamic"
	"origin" "5103 5529 -1128"
	"angles" "0 180 90"
	"model" "models/props_waterfront/railing01_128.mdl"
	"solid" "0"
	"disableshadows" "1"
}
; --- Infected ladders on the walkways after the second gate in the sewer
{
	"classname" "func_simpleladder"
	"origin" "5106 4930 -1128.5"
	"angles" "0 0 0"
	"model" "*76"
	"normal.x" "0.00"
	"normal.y" "-1.00"
	"normal.z" "0.00"
	"team" "2"
}
{
	"classname" "prop_dynamic"
	"origin" "5720 5407 -1128"
	"angles" "0 270 90"
	"model" "models/props_waterfront/railing01_128.mdl"
	"solid" "0"
	"disableshadows" "1"
}
{
	"classname" "func_simpleladder"
	"origin" "6172 5966 -1128.5"
	"angles" "0 180 0"
	"model" "*76"
	"normal.x" "0.00"
	"normal.y" "1.00"
	"normal.z" "0.00"
	"team" "2"
}
{
	"classname" "prop_dynamic"
	"origin" "5558 5488 -1128"
	"angles" "0 90 90"
	"model" "models/props_waterfront/railing01_128.mdl"
	"solid" "0"
	"disableshadows" "1"
}
{
	"classname" "func_simpleladder"
	"origin" "5810 4930 -1128.5"
	"angles" "0 0 0"
	"model" "*76"
	"normal.x" "0.00"
	"normal.y" "-1.00"
	"normal.z" "0.00"
	"team" "2"
}
{
	"classname" "prop_dynamic"
	"origin" "6424 5407 -1128"
	"angles" "0 270 90"
	"model" "models/props_waterfront/railing01_128.mdl"
	"solid" "0"
	"disableshadows" "1"
}
{
	"classname" "func_simpleladder"
	"origin" "6876 5966 -1128.5"
	"angles" "0 180 0"
	"model" "*76"
	"normal.x" "0.00"
	"normal.y" "1.00"
	"normal.z" "0.00"
	"team" "2"
}
{
	"classname" "prop_dynamic"
	"origin" "6262 5488 -1128"
	"angles" "0 90 90"
	"model" "models/props_waterfront/railing01_128.mdl"
	"solid" "0"
	"disableshadows" "1"
}


; #######  MISCELLANEOUS / MAP SPECIFIC CHANGES  ######
; =====================================================
; ==              PLANK CROSSING REWORK              ==
; ==   Open alternative route at the plank crossing  ==
; =====================================================
add:
; --- Block survivors from avoiding the Red Flight bar building entirely by going through the alleyway
{
	"classname" "prop_dynamic"
	"origin" "464 1944 -64"
	"angles" "0 270 0"
	"model" "models/props_urban/gate_wall_gate003_64.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Fix collision issues with gate
{
	"classname" "logic_auto"
	"OnMapSpawn" "losfix_gate_alley,AddOutput,mins -34 -1 -49,0,-1"
	"OnMapSpawn" "losfix_gate_alley,AddOutput,maxs 34 1 49,0,-1"
	"OnMapSpawn" "losfix_gate_alley,AddOutput,solid 2,0,-1"
}
{
	"classname" "func_brush"
	"origin" "464 1944 -16"
	"targetname" "losfix_gate_alley"
}
; --- Infected ladder to get over fence
{
	"classname" "func_simpleladder"
	"origin" "1136 5614.5 68"
	"angles" "0 180 0"
	"model" "*92"
	"normal.x" "0.00"
	"normal.y" "-1.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Open up an alternative route to the right (tunnel used for survival/scavenge)
filter:
{
	"targetname" "navblock_tunnel_shortcut"
}
{
	"targetname" "brush_tunnel_shortcut"
}
; --- Exit sign and lighting to highlight the path
add:
{
	"classname" "prop_dynamic"
	"origin" "1073 3168 -12"
	"angles" "0 180 0"
	"model" "models/props/cs_office/exit_wall.mdl"
	"solid" "0"
	"disableshadows" "1"
}
{
	"classname" "beam_spotlight"
	"origin" "1073 3157 -15"
	"angles" "87 270 0"
	"spawnflags" "3"
	"HDRColorScale" ".35"
	"rendercolor" "0 255 0"
	"renderamt" "255"
	"spotlightwidth" "40"
	"spotlightlength" "150"
	"disablereceiveshadows" "1"
	"rendermode" "0"
}
; --- Force survivors to go inside the building at the tunnel exit so that the route takes a similar amount of time to the plank
{
	"classname" "prop_dynamic"
	"origin" "1150 3739 -160"
	"angles" "0 0 0"
	"model" "models/props_street/police_barricade2.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "1080 3815 -161"
	"angles" "0 90 0"
	"model" "models/props_street/police_barricade2.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "985 3807 -161"
	"angles" "0 99.5 0"
	"model" "models/props_street/police_barricade.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "915 3739 -160"
	"angles" "0 144.5 0"
	"model" "models/props_street/police_barricade2.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "logic_auto"
	"OnMapSpawn" "barricade_path_navblock1,BlockNav,,1,-1"
	"OnMapSpawn" "barricade_path_navblock2,BlockNav,,1,-1"
	"OnMapSpawn" "barricade_path_navblock3,BlockNav,,1,-1"
	"OnMapSpawn" "barricade_path_navblock4,BlockNav,,1,-1"
	"OnMapSpawn" "barricade_path_navblock5,BlockNav,,1,-1"
}
{
	"classname" "script_nav_blocker"
	"origin" "1036 3739 -152"
	"extent" "140 71 18"
	"targetname" "barricade_path_navblock1"
	"teamToBlock" "2"
	"affectsFlow" "1"
}
{
	"classname" "script_nav_blocker"
	"origin" "1055 3816 -152"
	"extent" "95 24 18"
	"targetname" "barricade_path_navblock2"
	"teamToBlock" "2"
	"affectsFlow" "1"
}
{
	"classname" "script_nav_blocker"
	"origin" "868 3688 -152"
	"extent" "28 24 18"
	"targetname" "barricade_path_navblock3"
	"teamToBlock" "2"
	"affectsFlow" ""
}
{
	"classname" "script_nav_blocker"
	"origin" "826 3870 -152"
	"extent" "24 24 18"
	"targetname" "barricade_path_navblock4"
	"teamToBlock" "2"
	"affectsFlow" "1"
}
{
	"classname" "script_nav_blocker"
	"origin" "811 3235 22"
	"extent" "35 35 18"
	"targetname" "barricade_path_navblock5"
	"teamToBlock" "2"
	"affectsFlow" "1"
}
; --- Plywood on barricades for spawns and ladder visibility
{
	"classname" "prop_dynamic"
	"origin" "1100 3814 -162"
	"angles" "90 270 0"
	"model" "models/props_highway/plywood_03.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "1151 3810 -161"
	"angles" "90 180 0"
	"model" "models/props_highway/plywood_03.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Infected ladders to get over the barricade
{
	"classname" "func_simpleladder"
	"origin" "1795 7486 -58"
	"angles" "0 180 0"
	"model" "*92"
	"normal.x" "0.00"
	"normal.y" "-1.00"
	"normal.z" "0.00"
	"team" "2"
}
{
	"classname" "func_simpleladder"
	"origin" "-2521 4456 -57"
	"angles" "0 270 0"
	"model" "*92"
	"normal.x" "1.00"
	"normal.y" "0.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Clipping to stop players getting stuck between the car and barricades
{
	"classname" "env_physics_blocker"
	"origin" "1082 3831 -138"
	"mins" "-70 -15 -20"
	"maxs" "70 15 20"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "1097 3831 -108"
	"mins" "-35 -15 -10"
	"maxs" "35 15 10"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Boxes to get over the barricades from the outside (nearby car can also be used)
{
	"classname" "prop_dynamic"
	"origin" "907 3787 -161"
	"angles" "0 54.5 0"
	"model" "models/props_crates/static_crate_40.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "878 3743 -161"
	"angles" "0 54.5 0"
	"model" "models/props_crates/static_crate_40.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "901 3759 -123"
	"angles" "0 54.5 0"
	"model" "models/props_crates/static_crate_40.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic_override"
	"origin" "909 3753 -77"
	"angles" "0 144.5 0"
	"model" "models/props_crates/supply_crate01.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Block survivors from jumping into a window from the barricade
{
	"classname" "env_physics_blocker"
	"origin" "851 3675 68"
	"mins" "-2.5 -11 -57.5"
	"maxs" "2.5 11 57.5"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block the path at the lower stairs in the Jones & Sons building, forcing survivors to go to the top floor
{
	"classname" "prop_dynamic"
	"origin" "859 3201 8"
	"angles" "0 90 0"
	"model" "models/props_interiors/dresser_tall.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "859 3233 8"
	"angles" "0 90 0"
	"model" "models/props_interiors/dresser_tall.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "907 3263 8"
	"angles" "0 0 0"
	"model" "models/props_street/police_barricade.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "867 3269 8"
	"angles" "0 0 0"
	"model" "models/props_crates/static_crate_40.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Clipping for survivors on shelves to stop a skip
{
	"classname" "env_physics_blocker"
	"origin" "861 3215 47"
	"mins" "-32 -31 -37"
	"maxs" "32 31 37"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Infected ladder to get over boxes
{
	"classname" "func_simpleladder"
	"origin" "-2781.5 3871 61"
	"angles" "0 270 0"
	"model" "*92"
	"normal.x" "1.00"
	"normal.y" "0.00"
	"normal.z" "0.00"
	"team" "2"
}